Support

What are Legacy Licenses?

3 minute read • Last updated 2020-12-22

Legacy Licenses are historical licenses (a license type that is no longer offered and so cannot be renewed) for plugins which customers purchased prior to our change of service model on 14 September 2019.

In the past, our plugins were compatible with CS6 and customers who bought these licenses can still use them by reinstalling. To use these “Legacy Licenses” you must have already purchased them in the past as we no longer make them.

In the past we also sold individual license keys. It's no longer possible to purchase individual license keys as due to the change in the structure of our licensing we no longer produce individual keys.

While these legacy licenses will no longer be updated, and may not be compatible with future operating system or Adobe Illustrator releases, the licenses remain valid and available for:
Adobe Illustrator CS6 to CC2019
Windows 7 / 8.1 / 10 and macOS 10.10 through 10.14.

You should have kept a record of your license keys for future reinstallation with the older Unified Installer Installation Method. If you are experiencing any issues locating your license keys, please contact us quoting any known email addresses to which your plugin(s) are currently registered.

Do not upgrade from Mojave to Catalina or above:
Please note that legacy customers should avoid upgrading from Mojave to Catalina, Big Sur or above. Please see our advice on Catalina for more information.

Do not move to CC2019 or above:
Please note that legacy customers should avoid upgrading beyond CC2019 as previously purchased plugins are not compatible with Illustrator 2020 or above.

When you upgrade to a new version of Illustrator, in the advanced options of the creative cloud app, deselect "removal of previous versions of Illustrator". If you have accidentally removed CC2019 and want to reinstall it, or if you would like to run CC2019 alongside a newer version of Illustrator, please see our step by step advice on continuing to use your legacy plugins in CC2019.




If your first purchase with us was made after 14 September 2019, then you don’t own any legacy licenses.

Compatibility for current licenses:

As detailed on our website, all of our plugins for the subscription currently have the following software requirements:

Macintosh
Illustrator CC17.1 - Illustrator 2021
MacOS 10.10 to 10.15

Windows
Adobe Illustrator CC17.1 - Illustrator 2021
Windows 10/8/7

In September 2018 we reached the end of the support line for Mac OS 10.8 and in September 2019 we reached the end of the support line for CS6, you can read more about this here.

Helpful?

Please explain why this isn't helpful
Please note - As feedback is anonymous, we cannot answer questions sent here. Please send questions from the contact page.